Package org.apache.sling.api.security

# Class AccessSecurityException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.sling.api.security.AccessSecurityException

All Implemented Interfaces:
  `Serializable`

public class AccessSecurityException extends Exception
Exception thrown by methods of `ResourceAccessSecurity` This exception is used to catch unpredictable situations in methods of `ResourceAccessSecurity`

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AccessSecurityException()`
Constructs a new instance of this class with `null` as its detail message.
`AccessSecurityException(String message)`
Constructs a new instance of this class with the specified detail message.
`AccessSecurityException(String message, Throwable rootCause)`
Constructs a new instance of this class with the specified detail message and root cause.
`AccessSecurityException(Throwable rootCause)`
Constructs a new instance of this class with the specified root cause.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AccessSecurityException

public AccessSecurityException()
Constructs a new instance of this class with `null` as its detail message.

### AccessSecurityException

public AccessSecurityException(String message)
Constructs a new instance of this class with the specified detail message.

Parameters:
  `message` - the detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.

### AccessSecurityException

public AccessSecurityException(String message, Throwable rootCause)
Constructs a new instance of this class with the specified detail message and root cause.

Parameters:
  `message` - the detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.
  `rootCause` - root failure cause

### AccessSecurityException

public AccessSecurityException(Throwable rootCause)
Constructs a new instance of this class with the specified root cause.

Parameters:
  `rootCause` - root failure cause